From 749ee6da20398d2406f6fc7aa66ff1ef6e3c9d43 Mon Sep 17 00:00:00 2001
From: James Beacham <j.beacham@cern.ch>
Date: Tue, 30 Oct 2018 19:12:48 +0000
Subject: [PATCH] Merge branch 'add-arthead' into '21.0'

Add art include in head of test files RecJobTransformTests and RecExRecoTest

See merge request atlas/athena!15339

(cherry picked from commit f76694fcba87edcb5173c57fb923264f69e5e66f [formerly eb805fde445ee2d227616623b69d85a55db94a8e])

9ff8d0e2 add art include in head RecJobTransformTests
d250335d add art head and new tests from master in RecExRecoTest
31ad6d75 minor updates in recjobtrasnformtests

Former-commit-id: 7076398f5262a45cb864c71bc0d96603e0fd3fba
---
 .../test/RecExRecoTest_TestConfiguration.xml       | 14 +++++++-------
 .../RecJobTransformTests_TestConfiguration.xml     |  2 ++
 .../RecJobTransformTests/test/test_amitag_q122.sh  |  8 +++++++-
 .../test/test_cosmis_allstream.sh                  | 10 ++++++++--
 .../RecJobTransformTests/test/test_data11_7tev.sh  |  8 +++++++-
 .../test/test_data11_heavy_ion.sh                  |  8 +++++++-
 .../RecJobTransformTests/test/test_data12_8tev.sh  |  8 +++++++-
 .../RecJobTransformTests/test/test_data15_13tev.sh |  8 +++++++-
 .../test/test_data15_heavy_ion.sh                  |  8 +++++++-
 .../RecJobTransformTests/test/test_data16_13tev.sh |  8 +++++++-
 .../RecJobTransformTests/test/test_data17_13tev.sh |  8 +++++++-
 .../test/test_data17_13tev_fpe.sh                  |  8 +++++++-
 .../test/test_digimreco_tf_fct_mc16a.sh            |  6 ++++++
 .../test/test_mc15_heavy_ion.sh                    |  6 ++++++
 .../RecJobTransformTests/test/test_mc16.sh         |  8 +++++++-
 .../RecJobTransformTests/test/test_mc16_rdotobs.sh |  8 +++++++-
 .../test/test_mc16_trigsplit.sh                    |  8 +++++++-
 .../test/test_reco_mc15_13tev.sh                   | 12 +++++++++---
 .../test/test_reco_mc15_13tev_nopileup.sh          |  8 +++++++-
 .../test_reco_mc15_13tev_nopileup_stdcmalloc.sh    |  8 +++++++-
 .../test/test_recoshift_mc15_13tev.sh              |  7 +++++++
 .../test/test_recoshift_recotf_7teV_data.sh        |  7 +++++++
 .../test/test_recoshift_recotf_8teV_data.sh        |  7 +++++++
 .../test/test_recoshift_recotf_q220.sh             |  7 +++++++
 .../test/test_recoshift_recotf_q221.sh             |  7 +++++++
 .../test/test_recoshift_recotf_q222.sh             |  7 +++++++
 .../test/test_recoshift_recotf_q223.sh             |  7 ++++++-
 .../test/test_recotf_8teV_data_no.sh               |  7 +++++++
 .../test/test_recotf_cosmic_data_2011.sh           |  6 ++++++
 .../RecJobTransformTests/test/test_recotf_mc15.sh  |  7 +++++++
 .../test/test_recotf_mc15_no.sh                    |  6 ++++++
 .../test/test_splash_events.sh                     |  7 ++++++-
 32 files changed, 216 insertions(+), 28 deletions(-)

diff --git a/Reconstruction/RecExample/RecExRecoTest/test/RecExRecoTest_TestConfiguration.xml b/Reconstruction/RecExample/RecExRecoTest/test/RecExRecoTest_TestConfiguration.xml
index 59007cddfe5..5c2920c3bbb 100755
--- a/Reconstruction/RecExample/RecExRecoTest/test/RecExRecoTest_TestConfiguration.xml
+++ b/Reconstruction/RecExample/RecExRecoTest/test/RecExRecoTest_TestConfiguration.xml
@@ -132,7 +132,7 @@
     </TEST>
     
     <TEST name="RECOSHIFT_esdzpileup" type="athena" suite="esdpileup">
-      <options_atn>-c "jp.AthenaCommonFlags.EvtMax=2; jp.AthenaCommonFlags.SkipEvents=3 ; rec.AutoConfiguration=['everything']; rec.doDetailedAuditor=True ; rec.doNameAuditor=True ; jp.AthenaCommonFlags.PoolRDOInput=['root://eosatlas//eos/atlas/user/a/atlaspmb/mc/mc15_13TeV.110401.PowhegPythia_P2012_ttbar_nonallhad.recon.RDO.e4032_s2608_s2183_r7011/RDO.06336725._000001.pool.root.1']" AthenaCommon/MemTraceInclude.py RecExRecoTest/RecExRecoTest_RTT_esdlowlumi.py</options_atn>
+      <options_atn>-c "jp.AthenaCommonFlags.EvtMax=2; jp.AthenaCommonFlags.SkipEvents=3 ; rec.AutoConfiguration=['everything']; rec.doDetailedAuditor=True ; rec.doNameAuditor=True ; jp.AthenaCommonFlags.PoolRDOInput=['root://eosatlas.cern.ch//eos/atlas/user/a/atlaspmb/mc/mc15_13TeV.110401.PowhegPythia_P2012_ttbar_nonallhad.recon.RDO.e4032_s2608_s2183_r7011/RDO.06336725._000001.pool.root.1']" AthenaCommon/MemTraceInclude.py RecExRecoTest/RecExRecoTest_RTT_esdlowlumi.py</options_atn>
       <timelimit>30</timelimit>
       <author> Xiaohu Sun </author>
       <mailto> atlas.rig@cern.ch </mailto>
@@ -168,7 +168,7 @@
       <athena userJobId="mc12_emptyReco">
 	<doc>Test almost empty event loop on default MC12 </doc>
 	<commandLineFlags>
-          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
+          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas.cern.ch//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
         </commandLineFlags>
 	<options>RecExRecoTest_RTT_empty</options>
 	<group>RecExCommon</group>
@@ -178,7 +178,7 @@
       <athena userJobId="mc12_idReco">
 	<doc>Test reco only ID only on default MC12 </doc>
 	<commandLineFlags>
-          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
+          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas.cern.ch//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
         </commandLineFlags>
 	<options>RecExRecoTest_RTT_id</options>
 	<group>RecExCommon</group>
@@ -188,7 +188,7 @@
       <athena userJobId="mc12_caloReco">
 	<doc>Test reco only calo only on default MC12 </doc>
 	<commandLineFlags>
-          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
+          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas.cern.ch//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
         </commandLineFlags>
 	<options>RecExRecoTest_RTT_calo</options>
 	<group>RecExCommon</group>
@@ -198,7 +198,7 @@
       <athena userJobId="mc12_muonReco">
 	<doc>Test reco only muon only on default MC12 </doc>
 	<commandLineFlags>
-          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
+          jp.AthenaCommonFlags.EvtMax=300;jp.AthenaCommonFlags.FilesInput=["root://eosatlas.cern.ch//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
         </commandLineFlags>
 	<options>RecExRecoTest_RTT_muon</options>
 	<group>RecExCommon</group>
@@ -208,7 +208,7 @@
       <athena userJobId="mc12_outputlevel_debugReco">
 	<doc>Test reco with outputlevel debug to check length of logfile and number of messages</doc>
 	<commandLineFlags>
-          jp.AthenaCommonFlags.EvtMax=50;rec.doWriteESD=False;rec.OutputLevel=DEBUG;rec.doFloatingPointException=True;jp.AthenaCommonFlags.FilesInput=["root://eosatlas//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
+          jp.AthenaCommonFlags.EvtMax=50;rec.doWriteESD=False;rec.OutputLevel=DEBUG;rec.doFloatingPointException=True;jp.AthenaCommonFlags.FilesInput=["root://eosatlas.cern.ch//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
         </commandLineFlags>
 	<options>RecExRecoTest_RTT_esd</options>
 	<group>RecExCommon</group>
@@ -243,7 +243,7 @@
       <athena userJobId="mc12_outputlevel_verboseReco">
 	<doc>Test reco with outputlevel verbose to check length of logfile and number of messages</doc>
 	<commandLineFlags>
-          jp.AthenaCommonFlags.EvtMax=50;rec.doWriteESD=False;rec.OutputLevel=VERBOSE;rec.doFloatingPointException=True;jp.AthenaCommonFlags.FilesInput=["root://eosatlas//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
+          jp.AthenaCommonFlags.EvtMax=50;rec.doWriteESD=False;rec.OutputLevel=VERBOSE;rec.doFloatingPointException=True;jp.AthenaCommonFlags.FilesInput=["root://eosatlas.cern.ch//eos/atlas/atlascerngroupdisk/phys-rig/pileupSamples/mc12_8TeV.105200.McAtNloJimmy_CT10_ttbar_LeptonFilter.digit.RDO.e1513_s1499_s1504_d700/RDO.01177879._000001.pool.root.1"]
         </commandLineFlags>
 	<options>RecExRecoTest_RTT_esd</options>
 	<group>RecExCommon</group>
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/RecJobTransformTests_TestConfiguration.xml b/Reconstruction/RecExample/RecJobTransformTests/test/RecJobTransformTests_TestConfiguration.xml
index e7a13c79c1a..d6d89f14773 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/RecJobTransformTests_TestConfiguration.xml
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/RecJobTransformTests_TestConfiguration.xml
@@ -51,6 +51,7 @@
         <!-- ++++++++++++++++++++++++++ Running on Cosmics Data  +++++++++++++++++++++++++++++++++++++++++++++ -->
     
         <!-- XS: please update with new 2015 cosmics file: cosmics 2015 reconstruction -->
+        <!-- Disabled since this has been failing for a long time.  See ATR-14581.
         <TEST name="RecoTf_cosmic_data_2011" type="script" suite="Reco_tf">
             <options_atn>
                 export TRF_ECHO=True; Reco_tf.py --inputBSFile /afs/cern.ch/atlas/project/rig/data/data11_cos.00193024.physics_CosmicCalo.merge.RAW/data11_cos.00193024.physics_CosmicCalo.merge.RAW._lb0096._SFO-ALL._0001.1 --maxEvents 10 --autoConfiguration everything --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputHISTFile myHIST.root --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 
@@ -63,6 +64,7 @@
                 <returnValue>0</returnValue>
             </expectations>
         </TEST>
+        -->
     
         <!-- ++++++++++++++++++++++++++ Running on highmu Data  +++++++++++++++++++++++++++++++++++++++++++++ -->
     
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_amitag_q122.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_amitag_q122.sh
index 031a84c9d0f..f5743f411d7 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_amitag_q122.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_amitag_q122.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs with AMI configTag q122
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --AMI=q122 --DataRunNumber 00191920 --outputESDFile=myESD.pool.root --outputAODFile=myAOD.pool.root --outputTAGFile=myTAG.pool.root --inputBSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data11_7TeV.00191920.physics_JetTauEtmiss.merge.RAW._lb0257._SFO-9._0001.1.10evts
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_cosmis_allstream.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_cosmis_allstream.sh
index 58a9ddc9c56..ce0608d5fba 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_cosmis_allstream.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_cosmis_allstream.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on cosmics with all streams
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
-Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data11_cos.00193024.physics_CosmicCalo.merge.RAW._lb0096._SFO-ALL._0001.1 --maxEvents 300 --autoConfiguration everything --conditionsTag="COMCOND-BLKPA-RUN1-07" --preExec="rec.doTrigger=False;" --outputESDFile myESD.pool.root --outputNTUP_MUONCALIBFile muonCalib.root --outputHISTFile myMergedMonitoring.root --outputTAGFile myTAG.pool.root
 
-echo "art-result: $?"
+Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data11_cos.00193024.physics_CosmicCalo.merge.RAW._lb0096._SFO-ALL._0001.1 --maxEvents 300 --autoConfiguration everything --conditionsTag="COMCOND-BLKPA-RUN1-07" --preExec="rec.doTrigger=False;" --outputESDFile myESD.pool.root --outputHISTFile myMergedMonitoring.root --outputTAGFile myTAG.pool.root
+
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_7tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_7tev.sh
index 2755b03a0ad..7a44b596d9d 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_7tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_7tev.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on 7TeV collision data with all streams 2011
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/high_mu-data11_7TeV.00179725.physics_JetTauEtmiss.merge.RAW._lb0021.data --maxEvents 300 --autoConfiguration everything --conditionsTag="COMCOND-BLKPA-RUN1-07" --preExec 'rec.doTrigger=False;' --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_heavy_ion.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_heavy_ion.sh
index 3e0337b1978..cb096be0bc3 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_heavy_ion.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data11_heavy_ion.sh
@@ -2,8 +2,14 @@
 #
 # art-description: heavy ion reconstruction test from Andrzej Olszewski and Iwona Grabowska-Bold
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data11_hi.00193321.physics_HardProbes.merge.RAW._lb0050._SFO-9._0002.1 --outputESDFile ESD.pool.root --outputAODFile AOD.pool.root --conditionsTag COMCOND-BLKPA-RUN1-06 --geometryVersion ATLAS-R1-2011-02-00-00 --autoConfiguration=everything --maxEvents='25'
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data12_8tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data12_8tev.sh
index c06f251698f..91b21497b16 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data12_8tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data12_8tev.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on 8TeV collision data with all streams 2012
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data12_8TeV.00209109.physics_JetTauEtmiss.merge.RAW._lb0186._SFO-1._0001.1 --maxEvents 300 --autoConfiguration everything --conditionsTag="COMCOND-BLKPA-RUN1-07" --preExec 'rec.doTrigger=False;' --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root 
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_13tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_13tev.sh
index 0b27c188c3f..240bb76f4d3 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_13tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_13tev.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on 13TeV collision data with all streams 2015
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data15_13TeV.00283429.physics_Main.daq.RAW._lb0154._SFO-1._0001.data --maxEvents 300 --autoConfiguration everything --conditionsTag="CONDBR2-BLKPA-2016-14" --preExec 'rec.doTrigger=False;' --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_heavy_ion.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_heavy_ion.sh
index a7ddff745bf..84c3895bb06 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_heavy_ion.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data15_heavy_ion.sh
@@ -2,8 +2,14 @@
 #
 # art-description: heavy ion reconstruction test from Andrzej Olszewski and Iwona Grabowska-Bold
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data15_hi.00286711.physics_MinBiasOverlay.daq.RAW._lb0217._SFO-2._0001.data --outputESDFile=ESD.root --outputAODFile=AOD.root --maxEvents=25 --conditionsTag 'default:CONDBR2-BLKPA-2016-07' --geometryVersion 'default:ATLAS-R2-2015-03-01-00' --autoConfiguration 'everything' --preExec 'all:rec.doHeavyIon.set_Value_and_Lock(True)'
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data16_13tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data16_13tev.sh
index 87757c61510..a38f0d5181c 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data16_13tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data16_13tev.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on 13TeV collision data with all streams 2016
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data16_13TeV.00310809.physics_Main.daq.RAW._lb1219._SFO-2._0001.data --maxEvents 300 --autoConfiguration everything --conditionsTag="CONDBR2-BLKPA-2016-19" --preExec 'rec.doTrigger=False;' --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev.sh
index 9adb89de797..7f0524597de 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on 13TeV collision data 2017, early data, A3
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data17_13TeV.00324910.physics_Main.daq.RAW._lb0713._SFO-6._0001.data --maxEvents 300 --AMI=f908 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh
index b8887434d71..243279c47e0 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on 13TeV collision data with floating point exception enabled 2017
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data17_13TeV.00324910.physics_Main.daq.RAW._lb0713._SFO-6._0001.data --maxEvents -1 --AMI=f908 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root --preExec 'rec.doFloatingPointException=True;rec.doTrigger=False;' --postExec 'FPEAuditor.NStacktracesOnFPE=5'
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_digimreco_tf_fct_mc16a.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_digimreco_tf_fct_mc16a.sh
index 4f5b61cf890..cf31b8c1d5d 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_digimreco_tf_fct_mc16a.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_digimreco_tf_fct_mc16a.sh
@@ -2,6 +2,12 @@
 #
 # art-description: Test of DigiMReco from HITS to AOD/TAG MC16a r9364
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --maxEvents=10 --outputRDOFile=mc16a.RDO.pool.root --outputESDFile=mc16a.ESD.pool.root --outputAODFile=mc16a.AOD.pool.root --digiSeedOffset1=1 --digiSeedOffset2=2 --inputHitsFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.410501.PowhegPythia8EvtGen_A14_ttbar_hdamp258p75_nonallhad.simul.HITS.e5458_s3126/HITS.10730668._039360.pool.root.1 --jobNumber=1 --conditionsTag="default:OFLCOND-MC16-SDR-16" --geometryVersion="default:ATLAS-R2-2016-01-00-01" --skipEvents=0  --pileupFinalBunch=6 --autoConfiguration=everything --digiSteeringConf='StandardSignalOnlyTruth' --preInclude "HITtoRDO:Digitization/ForceUseOfPileUpTools.py,SimulationJobOptions/preInclude.PileUpBunchTrainsMC15_2015_25ns_Config1.py,RunDependentSimData/configLumi_run284500_mc16a.py" --preExec "all:rec.Commissioning.set_Value_and_Lock(True);from AthenaCommon.BeamFlags import jobproperties;jobproperties.Beam.numberOfCollisions.set_Value_and_Lock(20.0);from LArROD.LArRODFlags import larRODFlags;larRODFlags.NumberOfCollisions.set_Value_and_Lock(20);larRODFlags.nSamples.set_Value_and_Lock(4);larRODFlags.doOFCPileupOptimization.set_Value_and_Lock(True);larRODFlags.firstSample.set_Value_and_Lock(0);larRODFlags.useHighestGainAutoCorr.set_Value_and_Lock(True)" "all:from TriggerJobOpts.TriggerFlags import TriggerFlags as TF;TF.run2Config='2016'" "RAWtoESD:from InDetRecExample.InDetJobProperties import InDetFlags; InDetFlags.cutLevel.set_Value_and_Lock(14); from JetRec import JetRecUtils;f=lambda s:[\"xAOD::JetContainer#AntiKt4%sJets\"%(s,),\"xAOD::JetAuxContainer#AntiKt4%sJetsAux.\"%(s,),\"xAOD::EventShape#Kt4%sEventShape\"%(s,),\"xAOD::EventShapeAuxInfo#Kt4%sEventShapeAux.\"%(s,),\"xAOD::EventShape#Kt4%sOriginEventShape\"%(s,),\"xAOD::EventShapeAuxInfo#Kt4%sOriginEventShapeAux.\"%(s,)]; JetRecUtils.retrieveAODList = lambda : f(\"EMPFlow\")+f(\"LCTopo\")+f(\"EMTopo\")+[\"xAOD::EventShape#NeutralParticleFlowIsoCentralEventShape\",\"xAOD::EventShapeAuxInfo#NeutralParticleFlowIsoCentralEventShapeAux.\", \"xAOD::EventShape#NeutralParticleFlowIsoForwardEventShape\",\"xAOD::EventShapeAuxInfo#NeutralParticleFlowIsoForwardEventShapeAux.\", \"xAOD::EventShape#ParticleFlowIsoCentralEventShape\",\"xAOD::EventShapeAuxInfo#ParticleFlowIsoCentralEventShapeAux.\", \"xAOD::EventShape#ParticleFlowIsoForwardEventShape\",\"xAOD::EventShapeAuxInfo#ParticleFlowIsoForwardEventShapeAux.\", \"xAOD::EventShape#TopoClusterIsoCentralEventShape\",\"xAOD::EventShapeAuxInfo#TopoClusterIsoCentralEventShapeAux.\", \"xAOD::EventShape#TopoClusterIsoForwardEventShape\",\"xAOD::EventShapeAuxInfo#TopoClusterIsoForwardEventShapeAux.\",\"xAOD::CaloClusterContainer#EMOriginTopoClusters\",\"xAOD::ShallowAuxContainer#EMOriginTopoClustersAux.\",\"xAOD::CaloClusterContainer#LCOriginTopoClusters\",\"xAOD::ShallowAuxContainer#LCOriginTopoClustersAux.\"]; from eflowRec.eflowRecFlags import jobproperties; jobproperties.eflowRecFlags.useAODReductionClusterMomentList.set_Value_and_Lock(True); from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.AODEDMSet.set_Value_and_Lock(\"AODSLIM\");" "all:from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.btaggingAODList=[\"xAOD::BTaggingContainer#BTagging_AntiKt4EMTopo\",\"xAOD::BTaggingAuxContainer#BTagging_AntiKt4EMTopoAux.\",\"xAOD::BTagVertexContainer#BTagging_AntiKt4EMTopoJFVtx\",\"xAOD::BTagVertexAuxContainer#BTagging_AntiKt4EMTopoJFVtxAux.\",\"xAOD::VertexContainer#BTagging_AntiKt4EMTopoSecVtx\",\"xAOD::VertexAuxContainer#BTagging_AntiKt4EMTopoSecVtxAux.-vxTrackAtVertex\"];" "ESDtoAOD:from ParticleBuilderOptions.AODFlags import AODFlags; AODFlags.ThinGeantTruth.set_Value_and_Lock(True);  AODFlags.ThinNegativeEnergyCaloClusters.set_Value_and_Lock(True); AODFlags.ThinNegativeEnergyNeutralPFOs.set_Value_and_Lock(True); from JetRec import JetRecUtils; aodlist = JetRecUtils.retrieveAODList(); JetRecUtils.retrieveAODList = lambda : [item for item in aodlist if not \"OriginTopoClusters\" in item];" --postExec "all:CfgMgr.MessageSvc().setError+=[\"HepMcParticleLink\"]" "ESDtoAOD:fixedAttrib=[s if \"CONTAINER_SPLITLEVEL = '99'\" not in s else \"\" for s in svcMgr.AthenaPoolCnvSvc.PoolAttributes];svcMgr.AthenaPoolCnvSvc.PoolAttributes=fixedAttrib" "RDOtoRDOTrigger:conddb.addOverride(\"/CALO/Ofl/Noise/PileUpNoiseLumi\",\"CALOOflNoisePileUpNoiseLumi-mc15-mu30-dt25ns\")" "ESDtoAOD:CILMergeAOD.removeItem(\"xAOD::CaloClusterAuxContainer#CaloCalTopoClustersAux.LATERAL.LONGITUDINAL.SECOND_R.SECOND_LAMBDA.CENTER_MAG.CENTER_LAMBDA.FIRST_ENG_DENS.ENG_FRAC_MAX.ISOLATION.ENG_BAD_CELLS.N_BAD_CELLS.BADLARQ_FRAC.ENG_BAD_HV_CELLS.N_BAD_HV_CELLS.ENG_POS.SIGNIFICANCE.CELL_SIGNIFICANCE.CELL_SIG_SAMPLING.AVG_LAR_Q.AVG_TILE_Q.EM_PROBABILITY.PTD.BadChannelList\");CILMergeAOD.add(\"xAOD::CaloClusterAuxContainer#CaloCalTopoClustersAux.N_BAD_CELLS.ENG_BAD_CELLS.BADLARQ_FRAC.AVG_TILE_Q.AVG_LAR_Q.CENTER_MAG.ENG_POS.CENTER_LAMBDA.SECOND_LAMBDA.SECOND_R.ISOLATION.EM_PROBABILITY\");StreamAOD.ItemList=CILMergeAOD()" --postInclude "default:PyJobTransforms/UseFrontier.py"  --LowPtMinbiasHitsFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.361238.Pythia8EvtGen_A3NNPDF23LO_minbias_inelastic_low.merge.HITS.e4981_s3087_s3089/HITS.10501925._000027.pool.root.1 --HighPtMinbiasHitsFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.361239.Pythia8EvtGen_A3NNPDF23LO_minbias_inelastic_high.merge.HITS.e4981_s3087_s3089/HITS.10501933._000008.pool.root.1 --numberOfHighPtMinBias=0.116075313 --numberOfLowPtMinBias=44.3839246425 --numberOfCavernBkg=0
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc15_heavy_ion.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc15_heavy_ion.sh
index 10e4fdd5e9f..cc2007f14c9 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc15_heavy_ion.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc15_heavy_ion.sh
@@ -2,6 +2,12 @@
 #
 # art-description: heavy ion reconstruction test from Andrzej Olszewski and Iwona Grabowska-Bold
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py --inputHITSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_5TeV.420000.Hijing_PbPb_5p02TeV_MinBias_Flow_JJFV6.merge.HITS.e4962_s3004_s2921/HITS.09732013._000496.pool.root.1 --outputESDFile=ESD.pool.root --outputAODFile=AOD.pool.root --maxEvents=25 --conditionsTag 'all:OFLCOND-MC15c-SDR-11' --postInclude 'all:RecJobTransforms/UseFrontier.py,SimulationJobOptions/postInclude.HijingPars.py' --preExec 'all:rec.doHeavyIon.set_Value_and_Lock(True)' --autoConfiguration 'everything' --triggerConfig 'MCRECO:MC_HI_v3_tight_mc_prescale' --DataRunNumber '226000' --geometryVersion 'all:ATLAS-R2-2015-03-01-00'
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16.sh
index 5a4886037c7..39606aecd21 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf runs on mc16, based on recon tag r9364 MC16a
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputRDOFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.410501.PowhegPythia8EvtGen_A14_ttbar_hdamp258p75_nonallhad.merge.RDO.e5458_s3126_d1437/RDO.11426804._000001.pool.root.1 --maxEvents=300 --autoConfiguration everything --conditionsTag=default:OFLCOND-MC16-SDR-16 --geometryVersion=default:ATLAS-R2-2016-01-00-01 --runNumber=410501 --preExec 'rec.doTrigger=False;' --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHIST.root
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_rdotobs.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_rdotobs.sh
index 1d720750325..d9dc3265a8c 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_rdotobs.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_rdotobs.sh
@@ -2,8 +2,14 @@
 #
 # art-description: RDO to BS on tt mc16
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputRDOFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.410501.PowhegPythia8EvtGen_A14_ttbar_hdamp258p75_nonallhad.merge.RDO.e5458_s3126_d1437/RDO.11426804._000001.pool.root.1 --outputBSFile mc16_13TeV.410501.PowhegPythia8EvtGen_A14_ttbar_hdamp258p75_nonallhad.data --autoConfiguration everything --maxEvents 300 --conditionsTag=default:OFLCOND-MC16-SDR-16 --geometryVersion=default:ATLAS-R2-2016-01-00-01 --runNumber=410501
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_trigsplit.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_trigsplit.sh
index 4a1697c7b30..887d7b1cca8 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_trigsplit.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc16_trigsplit.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf with split trigger runs on mc16
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 Reco_tf.py --inputRDOFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc16_13TeV.410501.PowhegPythia8EvtGen_A14_ttbar_hdamp258p75_nonallhad.merge.RDO.e5458_s3126_d1437/RDO.11426804._000001.pool.root.1 --maxEvents 300 --autoConfiguration everything --conditionsTag=default:OFLCOND-MC16-SDR-16 --geometryVersion=default:ATLAS-R2-2016-01-00-01 --runNumber=410501 --steering RAWtoESD:in-RDO RAWtoESD:in-BS RAWtoESD:in+RDO_TRIG --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHIST.root
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev.sh
index 9d14d391152..bb31dfbebbe 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev.sh
@@ -2,14 +2,20 @@
 #
 # art-description: Reco_tf for PhysVal, updated with q221 (2017-11-13) + pileup
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py --conditionsTag all:OFLCOND-MC16-SDR-17 --ignoreErrors 'False' --autoConfiguration='everything' --digiSeedOffset2 '1'  --preExec  'all:rec.Commissioning.set_Value_and_Lock(True);from AthenaCommon.BeamFlags import jobproperties;jobproperties.Beam.numberOfCollisions.set_Value_and_Lock(0.);from LArROD.LArRODFlags import larRODFlags;larRODFlags.nSamples.set_Value_and_Lock(4);from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.AODEDMSet="AODFULL"'  'HITtoRDO:from Digitization.DigitizationFlags import digitizationFlags;digitizationFlags.overrideMetadata+=["PhysicsList"];'  'RAWtoESD:from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.triggerMenuSetup="MC_pp_v7";from CaloRec.CaloCellFlags import jobproperties;jobproperties.CaloCellFlags.doLArCellEmMisCalib=False;' --digiSeedOffset1 '1' --steering 'doRDO_TRIG' --DataRunNumber '222525' --outputRDOFile=myRDO.pool.root --outputTAGFile=myTAG.pool.root --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root --outputHISTFile=myHIST.root --inputHITSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.410500.PowhegPythia8EvtGen_A14_ttbar_hdamp172p5_nonallhad.simul.HITS.e4797_s2726.50events.pool.root --inputHighPtMinbiasHitsFile='/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.361035.Pythia8EvtGen_A2MSTW2008LO_minbias_inelastic_high.merge.HITS.e3581_s2578_s2195/*' --inputLowPtMinbiasHitsFile='/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.361034.Pythia8EvtGen_A2MSTW2008LO_minbias_inelastic_low.merge.HITS.e3581_s2578_s2195/*' --numberOfCavernBkg="0" --numberOfHighPtMinBias="0.12268057" --numberOfLowPtMinBias="39.8773194" --pileupFinalBunch 6 --imf False --maxEvents '500'
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
 Reco_tf.py --inputAODFile myAOD.pool.root --outputNTUP_PHYSVALFile PhysVal_13TeV_Example.pool.root --validationFlags doExample
-echo "art-result: $?"
+echo "art-result: $? PhysVal"
 
 
 Reco_tf.py --validationFlags 'doExample,doMET,doPFlow,doTau,doEgamma,doBtag,doZee,doJet,doTopoCluster,doMuon,doTrigMinBias,doTrigIDtrk,doTrigBphys,doTrigMET,doTrigJet,doTrigTau, doTrigEgamma,doTrigMuon,doTrigBjet,doTrigHLTResult' --inputAODFile=myAOD.pool.root  --outputNTUP_PHYSVALFile=myNTUP_PHYSVAL.root
-echo "art-result: $?"
+echo "art-result: $? Ntup"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup.sh
index a474a8bffd4..8259d6af7b7 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf for PhysVal, updated with q221 (2017-11-13), no pileup
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py --conditionsTag all:OFLCOND-MC16-SDR-17 --ignoreErrors 'False' --autoConfiguration='everything' --digiSeedOffset2 '1'  --preExec  'all:rec.Commissioning.set_Value_and_Lock(True);from AthenaCommon.BeamFlags import jobproperties;jobproperties.Beam.numberOfCollisions.set_Value_and_Lock(0.);from LArROD.LArRODFlags import larRODFlags;larRODFlags.nSamples.set_Value_and_Lock(4);from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.AODEDMSet="AODFULL"'  'HITtoRDO:from Digitization.DigitizationFlags import digitizationFlags;digitizationFlags.overrideMetadata+=["PhysicsList"];'  'RAWtoESD:from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.triggerMenuSetup="MC_pp_v7";from CaloRec.CaloCellFlags import jobproperties;jobproperties.CaloCellFlags.doLArCellEmMisCalib=False;' --digiSeedOffset1 '1' --steering 'doRDO_TRIG' --DataRunNumber '222525' --outputRDOFile=myRDO.pool.root --outputTAGFile=myTAG.pool.root --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root --outputHISTFile=myHIST.root --inputHITSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.410500.PowhegPythia8EvtGen_A14_ttbar_hdamp172p5_nonallhad.simul.HITS.e4797_s2726.50events.pool.root --imf False --maxEvents '500'
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup_stdcmalloc.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup_stdcmalloc.sh
index 62d73893644..023ca42e8ee 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup_stdcmalloc.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_reco_mc15_13tev_nopileup_stdcmalloc.sh
@@ -2,8 +2,14 @@
 #
 # art-description: Reco_tf for PhysVal, updated with q221 (2017-11-13), no pileup, with stdcmalloc
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py --conditionsTag all:OFLCOND-MC16-SDR-17 --ignoreErrors 'False' --autoConfiguration='everything' --digiSeedOffset2 '1'  --preExec  'all:rec.Commissioning.set_Value_and_Lock(True);from AthenaCommon.BeamFlags import jobproperties;jobproperties.Beam.numberOfCollisions.set_Value_and_Lock(0.);from LArROD.LArRODFlags import larRODFlags;larRODFlags.nSamples.set_Value_and_Lock(4);from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.AODEDMSet="AODFULL"'  'HITtoRDO:from Digitization.DigitizationFlags import digitizationFlags;digitizationFlags.overrideMetadata+=["PhysicsList"];'  'RAWtoESD:from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.triggerMenuSetup="MC_pp_v7";from CaloRec.CaloCellFlags import jobproperties;jobproperties.CaloCellFlags.doLArCellEmMisCalib=False;' --digiSeedOffset1 '1' --steering 'doRDO_TRIG' --DataRunNumber '222525' --outputRDOFile=myRDO.pool.root --outputTAGFile=myTAG.pool.root --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root --outputHISTFile=myHIST.root --inputHITSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.410500.PowhegPythia8EvtGen_A14_ttbar_hdamp172p5_nonallhad.simul.HITS.e4797_s2726.50events.pool.root --imf False --maxEvents '500' --athenaopts="--stdcmalloc"
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_mc15_13tev.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_mc15_13tev.sh
index 5bf50474e70..c3832b2c7e9 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_mc15_13tev.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_mc15_13tev.sh
@@ -2,6 +2,13 @@
 #
 # art-description: Xiaohu Sun, Carl Gwilliam and Marie-Helene Genest
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 export TRF_ECHO=True; Reco_tf.py  '--inputHITSFile=/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.410500.PowhegPythia8EvtGen_A14_ttbar_hdamp172p5_nonallhad.simul.HITS.e4797_s2726.50events.pool.root' '--jobNumber=64' '--maxEvents=10' '--postInclude=RecJobTransforms/UseFrontier.py' '--preExec' 'rec.Commissioning.set_Value_and_Lock(True);from AthenaCommon.BeamFlags import jobproperties;jobproperties.Beam.numberOfCollisions.set_Value_and_Lock(20.0);from LArROD.LArRODFlags import larRODFlags;larRODFlags.nSamples.set_Value_and_Lock(4);larRODFlags.firstSample.set_Value_and_Lock(0);larRODFlags.useHighestGainAutoCorr.set_Value_and_Lock(True)' 'RAWtoESD:from CaloRec.CaloCellFlags import jobproperties;jobproperties.CaloCellFlags.doLArCellEmMisCalib=False' 'ESDtoAOD:TriggerFlags.AODEDMSet="AODFULL"' 'RAWtoESD:from InDetRecExample.InDetJobProperties import InDetFlags; InDetFlags.doSlimming.set_Value_and_Lock(False)' 'ESDtoAOD:from InDetRecExample.InDetJobProperties import InDetFlags; InDetFlags.doSlimming.set_Value_and_Lock(False)' 'RDOtoRDOTrigger:from TriggerJobOpts.TriggerFlags import TriggerFlags;TriggerFlags.triggerMenuSetup="MC_pp_v6_tight_mc_prescale"' '--skipEvents=0' '--autoConfiguration=everything' '--conditionsTag=OFLCOND-MC15c-SDR-09' '--geometryVersion=ATLAS-R2-2015-03-01-00' '--digiSeedOffset1=1' '--digiSeedOffset2=1'  '--steering=doRDO_TRIG'  '--outputAODFile=AOD.pool.root' '--outputRDOFile=RDO.pool.root' '--outputESDFile=ESD.pool.root'  --runNumber="110401" --pileupFinalBunch 6 --inputHighPtMinbiasHitsFile="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.361035.Pythia8EvtGen_A2MSTW2008LO_minbias_inelastic_high.merge.HITS.e3581_s2578_s2195/HITS.05608152._002668.pool.root.1" --inputLowPtMinbiasHitsFile="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/mc15_13TeV.361034.Pythia8EvtGen_A2MSTW2008LO_minbias_inelastic_low.merge.HITS.e3581_s2578_s2195/HITS.05608147._000503.pool.root.1"
 
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_7teV_data.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_7teV_data.sh
index 29dc67a3720..c466e93b8b1 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_7teV_data.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_7teV_data.sh
@@ -2,7 +2,14 @@
 #
 # art-description: Jamie Boyd, Running on highmu Data at 7 TeV
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
 
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/high_mu-data11_7TeV.00179725.physics_JetTauEtmiss.merge.RAW._lb0021.data --autoConfiguration everything --conditionsTag="COMCOND-BLKPA-RUN1-07" --maxEvents 5 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 'rec.doTrigger=False'
 
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_8teV_data.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_8teV_data.sh
index fe53544e949..2a08085a54f 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_8teV_data.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_8teV_data.sh
@@ -2,6 +2,13 @@
 #
 # art-description: Jamie Boyd, data12_8TeV reconstruction
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data12_8TeV.00209109.physics_JetTauEtmiss.merge.RAW._lb0186._SFO-1._0001.1 --autoConfiguration everything --conditionsTag="COMCOND-BLKPA-RUN1-07" --maxEvents 5 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputTAGFile myTAG.pool.root --outputHISTFile myHist.root --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 'rec.doTrigger=False'
+
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q220.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q220.sh
index f15faaefc7a..a2df7ebdb1c 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q220.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q220.sh
@@ -2,6 +2,13 @@
 #
 # art-description: RIG convenors - q220 reconstruction
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 
 export TRF_ECHO=True; Reco_tf.py --AMIConfig=q220 --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 'DQMonFlags.doCTPMon=False' --inputBSFile='/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data15_cos.00251363.physics_IDCosmic.merge.RAW._lb0057._SFO-ALL._0001.1'
+
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q221.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q221.sh
index aac034bc4a2..69d4c8f7a4c 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q221.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q221.sh
@@ -2,5 +2,12 @@
 #
 # art-description: RIG convenors - q221 reconstruction
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 export TRF_ECHO=True; Reco_tf.py --AMIConfig=q221 --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True'
+
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q222.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q222.sh
index 80699080ec0..eee44b192f1 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q222.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q222.sh
@@ -2,6 +2,13 @@
 #
 # art-description: RIG convenors - q222 reconstruction
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 
 export TRF_ECHO=True; Reco_tf.py --AMIConfig=q222 --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 'DQMonFlags.doCTPMon=False' 'DQMonFlags.doHLTMon=False' --inputBSFile='/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data12_8TeV.00209109.physics_JetTauEtmiss.merge.RAW._lb0186._SFO-1._0001.1'
+
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q223.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q223.sh
index 0a79e9b89bc..88a99c5b143 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q223.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recoshift_recotf_q223.sh
@@ -2,7 +2,12 @@
 #
 # art-description: RIG convenors - q223 reconstruction
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 export TRF_ECHO=True; Reco_tf.py --AMIConfig=q223 --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 'DQMonFlags.doCTPMon=False' --inputBSFile='/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data15_comm.00264034.physics_MinBias.daq.RAW._lb0644._SFO-6._0001.data'
 
-
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_8teV_data_no.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_8teV_data_no.sh
index ce425f5fb18..888b45fffce 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_8teV_data_no.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_8teV_data_no.sh
@@ -2,6 +2,13 @@
 #
 # art-description: David Rousseau, data12_8TeV reconstruction, all reco switched off
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data12_8TeV.00209109.physics_JetTauEtmiss.merge.RAW._lb0186._SFO-1._0001.1 --maxEvents 5 --autoConfiguration everything --preExec 'rec.doCalo=False' 'rec.doInDet=False' 'rec.doMuon=False' 'rec.doJetMissingETTag=False' 'rec.doEgamma=False' 'rec.doMuonCombined=False' 'rec.doTau=False' 'rec.doTrigger=False' 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' --outputESDFile my.ESD.pool.root
+
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_cosmic_data_2011.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_cosmic_data_2011.sh
index 596399b47c5..877ad97ec28 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_cosmic_data_2011.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_cosmic_data_2011.sh
@@ -2,6 +2,12 @@
 #
 # art-description: Jamie Boyd - should be updated for 2015
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data11_cos.00193024.physics_CosmicCalo.merge.RAW._lb0096._SFO-ALL._0001.1 --maxEvents 10 --autoConfiguration everything --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputHISTFile myHIST.root --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 
 
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15.sh
index 352e849fb08..6d78e7a3b9d 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15.sh
@@ -2,7 +2,14 @@
 #
 # art-description: David Rousseau
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 
 export TRF_ECHO=True; Reco_tf.py --inputRDOFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/RDO.pool.root --maxEvents 5 --autoConfiguration everything --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' --outputESDFile my.ESD.pool.root
 
+echo "art-result: $? Reco"
+
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15_no.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15_no.sh
index 639608429d0..9740e134e0d 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15_no.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_recotf_mc15_no.sh
@@ -2,6 +2,12 @@
 #
 # art-description: David Rousseau
 # art-type: build
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 export TRF_ECHO=True; Reco_tf.py --inputRDOFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/RDO.pool.root --maxEvents 5 --autoConfiguration everything --preExec 'rec.doDetailedAuditor=True' 'rec.doNameAuditor=True' 'rec.doCalo=False' 'rec.doInDet=False' 'rec.doMuon=False' 'rec.doJetMissingETTag=False' 'rec.doEgamma=False' 'rec.doMuonCombined=False' 'rec.doTau=False' 'rec.doTrigger=False' --outputESDFile my.ESD.pool.root
 
+echo "art-result: $? Reco"
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_splash_events.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_splash_events.sh
index 0f6f78c4c71..13705702e49 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_splash_events.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_splash_events.sh
@@ -2,8 +2,13 @@
 #
 # art-description: Reco_tf runs on splash events with all streams
 # art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
 
 export TRF_ECHO=True; Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data15_comm.00265545.physics_MinBias.merge.RAW._lb0048._SFO-ALL._0001.1 --autoConfiguration everything --conditionsTag="CONDBR2-BLKPA-2015-04" --geometryVersion="ATLAS-R2-2015-03-01-00" --outputESDFile myESD.pool.root --outputNTUP_MUONCALIBFile muonCalib.root --outputHISTFile myMergedMonitoring.root --outputTAGFile myTAG.pool.root --maxEvents 300 --preExec 'rec.doTrigger=False;'
 
-echo "art-result: $?"
+echo "art-result: $? Reco"
 
-- 
GitLab